# September 5th, 2022

## Update Changelog

* **Added**:
  * NEW Commands:
    * /showmenu
    * /updatemenus
  * You can now set a different FFA Location for Spawn FFA
  * Configurable title for Duels Map Selection
  * Configurable Special Effect/Death Effects lore
* **Changed**:
  * Scoreboard and hotbar config files have a prettier default design
  * Post-Match Next Page item, it was a PAPER before, now it's a LEVER
  * Forced player teleportation twice to bypass some spigot forks with player movement packet bugs
  * Unranked and Ranked Menus can have different sizes. This means that they won't share the same Menu size anymore
* **Fixed**:
  * Boxing hits glitch
  * Data Loading issues
  * Commands:
    * /cancelmatch is now back
    * /tournament is now back
    * /kit get inv \<kit>
      * It wasn't even working
    * /kit get editorinv \<kit>
      * Not giving the armor from the kit
    * /kit set refillinv \<kit>
      * Removed additional unneeded argument
    * /kit set editorinv \<kit>
      * Removed additional unneeded argument
    * /kit set damageticks \<kit> \<ticks>
      * i forgor to add it xd
    * /arena delete
      * It didn't send the arena name, instead, it sent the class name
    * /debugplayer
    * /data set
    * /reset
      * Forgot to add a permission to allow their execution
    * /frost
      * Clickable message didn't actually open the URL
  * Post-Match Subtitle colors not shown properly
  * Fixed PAPI placeholder %frost\_kit\_\<kitName>\_\<leaderboardPosition>%
* **Removed**:
  * Old practice player data loader
  * Old useless and unnecessary code from older versions<br>

## Required Config Changes

## menus.yml

Add the following String below the POST-MATCH-INVENTORY section

```yaml
TITLE: "<player>'s Inventory"
```

Add the following String below the DUEL-INVENTORY-TITLE in the QUEUE-INVENTORY section

```yaml
DUEL-ARENA-SELECTION-TITLE: "Select Arena"
```

Add the following Integers below the NAME String in the QUEUE-INVENTORY section

```yaml
  RANKED-SIZE: 2
  UNRANKED-SIZE: 3
```

Replace your DEATH-EFFECTS-INVENTORY section with the one below

```yaml
DEATH-EFFECTS-INVENTORY:
  TITLE: "&8Manage Death Effects"
  SIZE: 1
  SPECIAL-EFFECTS:
    NAME: "&9"
    SLOT: 1
    SELECTED: "&a ▶ &f"
    UNSELECTED: "&c ▷ &f"
    CLICK-TO-CHANGE: "&bClick to change your effect!"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frozed.club/frost/update-changelogs/2022/september-5th-2022.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
